#ifndef SNAVERBLOGMANAGE_H
#define SNAVERBLOGMANAGE_H
#include "smanage.h"

class SNaverBlogManage : public SManage
{
public:
    enum E_PROCESS_STATE
    {
        E_PROCESS_LIST_RUN = 0,
        E_PROCESS_LIST_FINISH_WAIT,
        E_PROCESS_URL_RUN,
        E_PROCESS_URL_FINISH_WAIT,
        E_PROCESS_COMMENT_RUN,
        E_PROCESS_COMMENT_FINISH_WAIT,
    };
public:
    SNaverBlogManage(QObject *pObject);
private:
    QString makeGetListQuery(QString _str,QDate _date);
    QString makeGetCommentQuery(QString _strUrl);
private:
    QString m_strQuery;
    QVector <QString> m_strListURL;
    const QString C_TABLE_URL;
    const QString C_TABLE_COM;
    int m_nUrlTable;
protected:
    bool Update();
    void Start();
    void processFinished(QProcess *pPro,QString _strOut);
    void ReLoadList();
};

#endif // SNAVERBLOGMANAGE_H
